package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class VirtualFibreChannelMapping {
    private Metadata metadata;
    private Link associatedLogicalPartition;
    private ClientAdapter clientAdapter;
    private Port port;
    private ServerAdapter serverAdapter;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public Link getAssociatedLogicalPartition() {
        return associatedLogicalPartition;
    }

    public void setAssociatedLogicalPartition(Link associatedLogicalPartition) {
        this.associatedLogicalPartition = associatedLogicalPartition;
    }

    public ClientAdapter getClientAdapter() {
        return clientAdapter;
    }

    public void setClientAdapter(ClientAdapter clientAdapter) {
        this.clientAdapter = clientAdapter;
    }

    public Port getPort() {
        return port;
    }

    public void setPort(Port port) {
        this.port = port;
    }

    public ServerAdapter getServerAdapter() {
        return serverAdapter;
    }

    public void setServerAdapter(ServerAdapter serverAdapter) {
        this.serverAdapter = serverAdapter;
    }
}
